Loading...
Searching...
No Matches
Opm::Unit< Scalar > Class Template Reference

A component where all quantities are fixed at 1.0. More...

`#include <Unit.hpp>`

Inheritance diagram for Opm::Unit< Scalar >:

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
template<class Evaluation>
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
template<class Evaluation>
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
template<class Evaluation>
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
template<class Evaluation>
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
template<class Evaluation>
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
template<class Evaluation>
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
template<class Evaluation>
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
template<class Evaluation>
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
template<class Evaluation>
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
template<class Evaluation>
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
template<class Evaluation>
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
template<class Evaluation>
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
template<class Evaluation>
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.
Static Public Member Functions inherited from Opm::Component< Scalar, Unit< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, Unit< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, Unit< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::Unit< Scalar >

A component where all quantities are fixed at 1.0.

This component is meant as a debugging tool. Do not use it in real-life applications!

Template Parameters

  Scalar | The type used for scalar values

## Member Function Documentation

## criticalPressure()

template<class Scalar>

Scalar Opm::Unit< Scalar >::criticalPressure | ( |  | ) |

inline static

Returns the critical pressure in of the component.

## criticalTemperature()

template<class Scalar>

Scalar Opm::Unit< Scalar >::criticalTemperature | ( |  | ) |

inline static

Returns the critical temperature in of the component.

## gasDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::gasDensity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

The density in of the component at a given pressure in and temperature in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::gasEnthalpy | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific enthalpy of the pure component in gas.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasHeatCapacity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::gasHeatCapacity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific isobaric heat capacity of the component [J/kg] as a gas.

## gasInternalEnergy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::gasInternalEnergy | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific internal energy of the pure component in gas.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasIsCompressible()

template<class Scalar>

bool Opm::Unit< Scalar >::gasIsCompressible | ( |  | ) |

inline static

Returns true iff the gas phase is assumed to be compressible.

## gasIsIdeal()

template<class Scalar>

bool Opm::Unit< Scalar >::gasIsIdeal | ( |  | ) |

inline static

Returns true iff the gas phase is assumed to be ideal.

## gasThermalConductivity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::gasThermalConductivity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Thermal conductivity of the component [W/(m^2 K/m)] as a gas.

## gasViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::gasViscosity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

The dynamic viscosity of the pure component at a given pressure in and temperature in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::liquidDensity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

The density of the liquid component at a given pressure in and temperature in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::liquidEnthalpy | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific enthalpy of the pure component in liquid.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidHeatCapacity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::liquidHeatCapacity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific isobaric heat capacity of the component [J/kg] as a liquid.

## liquidInternalEnergy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::liquidInternalEnergy | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific internal energy of pure the pure component in liquid.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidIsCompressible()

template<class Scalar>

bool Opm::Unit< Scalar >::liquidIsCompressible | ( |  | ) |

inline static

Returns true iff the liquid phase is assumed to be compressible.

## liquidThermalConductivity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::liquidThermalConductivity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.

## liquidViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::liquidViscosity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

The dynamic liquid viscosity of the pure component.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## molarMass()

template<class Scalar>

Scalar Opm::Unit< Scalar >::molarMass | ( |  | ) |

inline static

The molar mass in of the component.

## name()

template<class Scalar>

std::string_view Opm::Unit< Scalar >::name | ( |  | ) |

inline static

A human readable name for the component.

## triplePressure()

template<class Scalar>

Scalar Opm::Unit< Scalar >::triplePressure | ( |  | ) |

inline static

Returns the pressure in at the component's triple point.

## tripleTemperature()

template<class Scalar>

Scalar Opm::Unit< Scalar >::tripleTemperature | ( |  | ) |

inline static

Returns the temperature in at the component's triple point.

## vaporPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Unit< Scalar >::vaporPressure | ( | const Evaluation & |  | ) |

inline static

The vapor pressure in of the component at a given temperature in .

Parameters

  temperature | temperature of the component in

The documentation for this class was generated from the following file:

- opm/material/components/Unit.hpp